/* Generated by Together */

#ifndef ERRORNO_H
#define ERRORNO_H

#include "osal/OSAL_Errno.h"

#define MW_SUCCESS					0x0000
#define MW_FAILED					0x0001
#define MW_NOT_SUPPORT				0x0002
#define MW_PRECONDITION_NOT_MET		0x0003
#define MW_POSTCONDITION_NOT_MET	0x0004
#define MW_INVALID_PARAMETER		0x0005
#define MW_ERROR					0x8000

/**
 * @stereotype enumeration 
 */
enum RetStatus_t {
/**Common Part*/
RET_SUCCESS                 = MW_SUCCESS,
RET_FAILED					= MW_FAILED,
RET_ERROR                   = MW_ERROR,
RET_PRECONDITION_NOT_MET	= MW_PRECONDITION_NOT_MET,
RET_POSTCONDITION_NOT_MET	= MW_POSTCONDITION_NOT_MET,
RET_INVALID_PARAMETER		= MW_INVALID_PARAMETER,
RET_NOT_SUPPORT             = MW_NOT_SUPPORT,

/**DAL*/
};
#endif //CLASS5_H
